package simple.test;

/**
 * Titre :        Simple
 * Description :  A simple JavaCard applet and its OCF associated CardService and CardServiceFactory class
 * Copyright :    Copyright (c) 2002
 * Socit :
 * @author Unknown
 * @version 1.0
 */

// Listing Three

import opencard.core.terminal.*;
import opencard.core.service.*;
import opencard.opt.service.*;
import simple.opencard.SimpleStringCardService;

public class SimpleStringDemo
{
public static void main(String[] args){
  try{
    // initialize OCF
    SmartCard.start();
    CardRequest cr = new CardRequest(CardRequest.ANYCARD,null,SimpleStringCardService.class);
    // wait for card supporting SimpleStringCardService
    SmartCard sc = SmartCard.waitForCard(cr);
    // instantiate card service
    SimpleStringCardService ssp = (SimpleStringCardService)sc.getCardService(SimpleStringCardService.class, true);
    // test card service
    ssp.writeString("TEST STRING");
    System.out.println("Test string written onto the card!");
    System.out.println(ssp.readString());
    // close access to the card
    sc.close();
  } catch (Exception e){
    e.printStackTrace();
  } finally {
    try {
      // free memory in OCF
      SmartCard.shutdown();
    } catch (Exception e) {
      e.printStackTrace();
    }

    System.exit(0);
  }
} // end main() method
} // end SimpleStringDemo class
